
<!-- markdownlint-disable MD041 -->
<p align="left"><img src="https://vulkan.lunarg.com/img/NewLunarGLogoBlack.png" alt="LunarG" width=263 height=113 /></p>
<p align="left">Copyright (c) 2021-2023 LunarG, Inc.</p>

<p align="center"><img src="./images/logo.png" width=400 /></p>

[![Creative Commons][3]][4]

[3]: https://i.creativecommons.org/l/by-nd/4.0/88x31.png "Creative Commons License"
[4]: https://creativecommons.org/licenses/by-nd/4.0/

# Vulkan Profiles Definitions

## Vulkan Profiles List

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| Label | Khronos Vulkan Roadmap 2022 profile | Android Vulkan Baseline 2021 profile | Android Vulkan Baseline 2022 profile | LunarG Vulkan Desktop Baseline 2022 profile | LunarG Vulkan Desktop Baseline 2023 profile | LunarG Vulkan Desktop Baseline 2024 profile | Vulkan Core 1.0 Minimum Requirements | Vulkan Core 1.1 Minimum Requirements | Vulkan Core 1.2 Minimum Requirements | Vulkan Core 1.3 Minimum Requirements |
| Description | This roadmap profile is intended to be supported by newer devices shipping in 2022 across mainstream smartphone, tablet, laptops, console and desktop devices. | Collection of functionality that is broadly supported on Android | Collection of functionality that is broadly supported on Android | A profile generated by the intersection of a collection of GPUInfo.org device reports to support a large number of actual systems in the Vulkan ecosystem. This profile is meant to be a usage example for Vulkan application developer. | A profile generated by the intersection of a collection of GPUInfo.org device reports to support a large number of actual systems in the Vulkan ecosystem. This profile is meant to be a usage example for Vulkan application developer. | A profile generated by the intersection of a collection of GPUInfo.org device reports to support a large number of actual systems in the Vulkan ecosystem. This profile is meant to be a usage example for Vulkan application developer. | Vulkan Core 1.0 Minimum Requirements. | Vulkan Core 1.1 Minimum Requirements. | Vulkan Core 1.2 Minimum Requirements. | Vulkan Core 1.3 Minimum Requirements. |
| Version | 1 | 2 | 1 | 1 | 1 | 1 | 1 | 1 | 1 | 1 |
| Required API version | 1.3.204 | 1.0.68 | 1.1.106 | 1.1.139 | 1.2.148 | 1.2.197 | 1.0.68 | 1.1.108 | 1.2.131 | 1.3.204 |
| Required profiles |  |  |  |  | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_2 |  |  |  |  |
| Fallback profiles | - | - | - | - | - | - | - | - | - | - |

## Vulkan Profiles Extensions

* :heavy_check_mark: indicates that the extension is defined in the profile
* "X.X Core" indicates that the extension is not defined in the profile but the extension is promoted to the specified core API version that is smaller than or equal to the minimum required API version of the profile
* :x: indicates that the extension is neither defined in the profile nor it is promoted to a core API version that is smaller than or equal to the minimum required API version of the profile

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **Instance extensions** |
| [VK_KHR_android_surface](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_android_surface.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_device_group_creation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_device_group_creation.html) | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_fence_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence_capabilities.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_memory_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_memory_capabilities.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore_capabilities.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_get_physical_device_properties2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_physical_device_properties2.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_get_surface_capabilities2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_surface_capabilities2.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_surface](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_surface.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_EXT_swapchain_colorspace](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_swapchain_colorspace.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **Device extensions** |
| [VK_KHR_16bit_storage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_16bit_storage.html) | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_8bit_storage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_8bit_storage.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_bind_memory2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_bind_memory2.html) | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_buffer_device_address](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_buffer_device_address.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_copy_commands2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_copy_commands2.html) | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_create_renderpass2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_create_renderpass2.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_dedicated_allocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dedicated_allocation.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_depth_stencil_resolve](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_depth_stencil_resolve.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_descriptor_update_template](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_descriptor_update_template.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_device_group](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_device_group.html) | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_draw_indirect_count](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_draw_indirect_count.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_driver_properties](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_driver_properties.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_dynamic_rendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dynamic_rendering.html) | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_external_fence](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_fence_fd](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence_fd.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_external_memory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_memory.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore_fd](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore_fd.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_format_feature_flags2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_format_feature_flags2.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_get_memory_requirements2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_memory_requirements2.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_global_priority](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_global_priority.html) | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_image_format_list](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_image_format_list.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_imageless_framebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_imageless_framebuffer.html) | 1.2 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_incremental_present](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_incremental_present.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_maintenance1](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance1.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance2.html) | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance3](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance3.html) | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance4.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_multiview.html) | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_push_descriptor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_push_descriptor.html) | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_relaxed_block_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_relaxed_block_layout.html) | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_sampler_mirror_clamp_to_edge](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_sampler_mirror_clamp_to_edge.html) | 1.2 Core | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_sampler_ycbcr_conversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_sampler_ycbcr_conversion.html) | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_separate_depth_stencil_layouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_separate_depth_stencil_layouts.html) | 1.2 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_atomic_int64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_atomic_int64.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_draw_parameters](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_draw_parameters.html) | 1.1 Core | :x: | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_shader_float16_int8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float16_int8.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_float_controls](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float_controls.html) | 1.2 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_integer_dot_product](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_integer_dot_product.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_shader_non_semantic_info](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_non_semantic_info.html) | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_shader_subgroup_extended_types](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_subgroup_extended_types.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_terminate_invocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_terminate_invocation.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_spirv_1_4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_spirv_1_4.html) | 1.2 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_storage_buffer_storage_class](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_storage_buffer_storage_class.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_swapchain](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_swapchain.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_swapchain_mutable_format](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_swapchain_mutable_format.html) | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_synchronization2.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_timeline_semaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_timeline_semaphore.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_uniform_buffer_standard_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_uniform_buffer_standard_layout.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_variable_pointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_variable_pointers.html) | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_vulkan_memory_model](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_vulkan_memory_model.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_zero_initialize_workgroup_memory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_zero_initialize_workgroup_memory.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_4444_formats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_4444_formats.html) | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_calibrated_timestamps](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_calibrated_timestamps.html) | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_descriptor_indexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_descriptor_indexing.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_extended_dynamic_state](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_extended_dynamic_state.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_extended_dynamic_state2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_extended_dynamic_state2.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_external_memory_host](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_external_memory_host.html) | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_host_query_reset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_host_query_reset.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_image_robustness](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_image_robustness.html) | 1.3 Core | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_inline_uniform_block](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_inline_uniform_block.html) | 1.3 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_memory_budget](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_memory_budget.html) | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_pipeline_creation_cache_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_pipeline_creation_cache_control.html) | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_pipeline_creation_feedback](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_pipeline_creation_feedback.html) | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_private_data](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_private_data.html) | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_queue_family_foreign](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_queue_family_foreign.html) | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_EXT_robustness2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_robustness2.html) | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_sample_locations](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_sample_locations.html) | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_sampler_filter_minmax](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_sampler_filter_minmax.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_scalar_block_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_scalar_block_layout.html) | 1.2 Core | :x: | :x: | :heavy_check_mark: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_separate_stencil_usage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_separate_stencil_usage.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_shader_atomic_float](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_atomic_float.html) | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_shader_demote_to_helper_invocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_demote_to_helper_invocation.html) | 1.3 Core | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_shader_subgroup_ballot](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_subgroup_ballot.html) | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_shader_subgroup_vote](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_subgroup_vote.html) | :x: | :x: | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_shader_viewport_index_layer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_viewport_index_layer.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_subgroup_size_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_subgroup_size_control.html) | 1.3 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_texel_buffer_alignment](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_texel_buffer_alignment.html) | 1.3 Core | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_texture_compression_astc_hdr](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_texture_compression_astc_hdr.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_tooling_info](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_tooling_info.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_vertex_attribute_divisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_vertex_attribute_divisor.html) | :x: | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_ycbcr_2plane_444_formats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_ycbcr_2plane_444_formats.html) | 1.3 Core | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_AMD_draw_indirect_count](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_AMD_draw_indirect_count.html) | 1.2 Core | :x: | :x: | :x: | 1.2 Core | 1.2 Core | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_ANDROID_external_memory_android_hardware_buffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_ANDROID_external_memory_android_hardware_buffer.html) | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_GOOGLE_display_timing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_GOOGLE_display_timing.html) | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |

## Vulkan Profile Features

> **NOTE**: The table below only contains features explicitly defined by the corresponding profile. Further features may be supported by the profiles in accordance to the requirements defined in the "Feature Requirements" section of the appropriate version of the Vulkan API Specification.

* :heavy_check_mark: indicates that the feature is defined in the profile (hover over the symbol to view the structure and corresponding extension or core API version where the feature is defined in the profile)
* :warning: indicates that the feature is not defined in the profile but an equivalent feature is (hover over the symbol to view the structure and corresponding extension or core API version where the feature is defined in the profile)
* :x: indicates that neither the feature nor an equivalent feature is defined in the profile

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **Vulkan 1.0** |
| [depthBiasClamp](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [depthClamp](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [drawIndirectFirstInstance](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [dualSrcBlend](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [fillModeNonSolid](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [fragmentStoresAndAtomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [fullDrawIndexUint32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [imageCubeArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [independentBlend](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [inheritedQueries](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [largePoints](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [multiDrawIndirect](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [multiViewport](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [occlusionQueryPrecise](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [robustBufferAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: |
| [sampleRateShading](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [samplerAnisotropy](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderClipDistance](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderImageGatherExtended](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderInt16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderInt64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageExtendedFormats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageWriteWithoutFormat](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderTessellationAndGeometryPointSize](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [tessellationShader](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [textureCompressionASTC_LDR](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [textureCompressionBC](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [textureCompressionETC2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [vertexPipelineStoresAndAtomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **Vulkan 1.1** |
| [multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeaturesKHR (VK_KHR_multiview)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [protectedMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceProtectedMemoryFeatures.html) | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [samplerYcbcrConversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerYcbcrConversionFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceSamplerYcbcrConversionFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderDrawParameters](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDrawParametersFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceShaderDrawParametersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [storageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [uniformAndStorageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [variablePointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [variablePointersStorageBuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **Vulkan 1.2** |
| [bufferDeviceAddress](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceBufferDeviceAddressFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingPartiallyBound](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingSampledImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingUniformTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingUpdateUnusedWhilePending](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingVariableDescriptorCount](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [descriptorIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [hostQueryReset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceHostQueryResetFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceHostQueryResetFeaturesEXT (VK_EXT_host_query_reset)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [imagelessFramebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImagelessFramebufferFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [runtimeDescriptorArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [samplerMirrorClampToEdge](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [scalarBlockLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceScalarBlockLayoutFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceScalarBlockLayoutFeaturesEXT (VK_EXT_scalar_block_layout)">:warning:</span> | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [separateDepthStencilLayouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSeparateDepthStencilLayoutsFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderInt8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceFloat16Int8FeaturesKHR (VK_KHR_shader_float16_int8)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderOutputLayer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderOutputViewportIndex](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSubgroupExtendedTypes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderSubgroupExtendedTypesFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [storageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [subgroupBroadcastDynamicId](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [timelineSemaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceTimelineSemaphoreFeaturesKHR (VK_KHR_timeline_semaphore)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [uniformAndStorageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [uniformBufferStandardLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceUniformBufferStandardLayoutFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceUniformBufferStandardLayoutFeaturesKHR (VK_KHR_uniform_buffer_standard_layout)">:warning:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [vulkanMemoryModel](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [vulkanMemoryModelDeviceScope](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **Vulkan 1.3** |
| [computeFullSubgroups](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingInlineUniformBlockUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | :x: | :x: | :x: | :x: | :x: |
| [dynamicRendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDynamicRenderingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [inlineUniformBlock](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:warning:</span> | :x: | :x: | :x: | :x: | :x: |
| [maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Features.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [pipelineCreationCacheControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePipelineCreationCacheControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [robustImageAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImageRobustnessFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceImageRobustnessFeaturesEXT (VK_EXT_image_robustness)">:warning:</span> | :x: | :x: | :x: | :x: | :x: |
| [shaderDemoteToHelperInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDemoteToHelperInvocationFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderIntegerDotProduct](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderTerminateInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderTerminateInvocationFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderZeroInitializeWorkgroupMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceZeroInitializeWorkgroupMemoryFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [subgroupSizeControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSynchronization2Features.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_16bit_storage** |
| [storageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| [uniformAndStorageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevice16BitStorageFeaturesKHR (VK_KHR_16bit_storage)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_8bit_storage** |
| [storageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [uniformAndStorageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDevice8BitStorageFeaturesKHR (VK_KHR_8bit_storage)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_buffer_device_address** |
| [bufferDeviceAddress](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceBufferDeviceAddressFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_dynamic_rendering** |
| [dynamicRendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDynamicRenderingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_imageless_framebuffer** |
| [imagelessFramebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImagelessFramebufferFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_maintenance4** |
| [maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Features.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_multiview** |
| [multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:warning:</span> | <span title="defined in VkPhysicalDeviceMultiviewFeaturesKHR (VK_KHR_multiview)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_sampler_ycbcr_conversion** |
| [samplerYcbcrConversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerYcbcrConversionFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceSamplerYcbcrConversionFeatures (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_separate_depth_stencil_layouts** |
| [separateDepthStencilLayouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSeparateDepthStencilLayoutsFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_shader_float16_int8** |
| [shaderInt8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFloat16Int8FeaturesKHR (VK_KHR_shader_float16_int8)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_shader_integer_dot_product** |
| [shaderIntegerDotProduct](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_shader_subgroup_extended_types** |
| [shaderSubgroupExtendedTypes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderSubgroupExtendedTypesFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_shader_terminate_invocation** |
| [shaderTerminateInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderTerminateInvocationFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_synchronization2** |
| [synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSynchronization2Features.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_timeline_semaphore** |
| [timelineSemaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceTimelineSemaphoreFeaturesKHR (VK_KHR_timeline_semaphore)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_uniform_buffer_standard_layout** |
| [uniformBufferStandardLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceUniformBufferStandardLayoutFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceUniformBufferStandardLayoutFeaturesKHR (VK_KHR_uniform_buffer_standard_layout)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_variable_pointers** |
| [variablePointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:warning:</span> | <span title="defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| [variablePointersStorageBuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:warning:</span> | <span title="defined in VkPhysicalDeviceVariablePointersFeaturesKHR (VK_KHR_variable_pointers)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_vertex_attribute_divisor** |
| [vertexAttributeInstanceRateDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeaturesKHR.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | :x: | :x: | :x: | :x: |
| [vertexAttributeInstanceRateZeroDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeaturesKHR.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_vulkan_memory_model** |
| [vulkanMemoryModel](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [vulkanMemoryModelDeviceScope](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_zero_initialize_workgroup_memory** |
| [shaderZeroInitializeWorkgroupMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceZeroInitializeWorkgroupMemoryFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_EXT_4444_formats** |
| [formatA4R4G4B4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice4444FormatsFeaturesEXT.html) | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDevice4444FormatsFeaturesEXT (VK_EXT_4444_formats)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_descriptor_indexing** |
| [descriptorBindingPartiallyBound](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingSampledImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingUniformTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingUpdateUnusedWhilePending](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [descriptorBindingVariableDescriptorCount](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [runtimeDescriptorArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceDescriptorIndexingFeaturesEXT (VK_EXT_descriptor_indexing)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_host_query_reset** |
| [hostQueryReset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceHostQueryResetFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceHostQueryResetFeaturesEXT (VK_EXT_host_query_reset)">:heavy_check_mark:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_image_robustness** |
| [robustImageAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImageRobustnessFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceImageRobustnessFeaturesEXT (VK_EXT_image_robustness)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: |
| **VK_EXT_inline_uniform_block** |
| [descriptorBindingInlineUniformBlockUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: |
| [inlineUniformBlock](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceInlineUniformBlockFeaturesEXT (VK_EXT_inline_uniform_block)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: |
| **VK_EXT_pipeline_creation_cache_control** |
| [pipelineCreationCacheControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePipelineCreationCacheControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_EXT_robustness2** |
| [robustImageAccess2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceRobustness2FeaturesEXT.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceRobustness2FeaturesEXT (VK_EXT_robustness2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceRobustness2FeaturesEXT (VK_EXT_robustness2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceRobustness2FeaturesEXT (VK_EXT_robustness2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_scalar_block_layout** |
| [scalarBlockLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceScalarBlockLayoutFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | <span title="defined in VkPhysicalDeviceScalarBlockLayoutFeaturesEXT (VK_EXT_scalar_block_layout)">:heavy_check_mark:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_shader_atomic_float** |
| [shaderBufferFloat32Atomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderAtomicFloatFeaturesEXT.html) | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceShaderAtomicFloatFeaturesEXT (VK_EXT_shader_atomic_float)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSharedFloat32Atomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderAtomicFloatFeaturesEXT.html) | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceShaderAtomicFloatFeaturesEXT (VK_EXT_shader_atomic_float)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_shader_demote_to_helper_invocation** |
| [shaderDemoteToHelperInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDemoteToHelperInvocationFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_EXT_subgroup_size_control** |
| [computeFullSubgroups](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| [subgroupSizeControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_EXT_texel_buffer_alignment** |
| [texelBufferAlignment](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT (VK_EXT_texel_buffer_alignment)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT (VK_EXT_texel_buffer_alignment)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceTexelBufferAlignmentFeaturesEXT (VK_EXT_texel_buffer_alignment)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **VK_EXT_vertex_attribute_divisor** |
| [vertexAttributeInstanceRateDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [vertexAttributeInstanceRateZeroDivisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVertexAttributeDivisorFeaturesKHR.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVertexAttributeDivisorFeaturesEXT (VK_EXT_vertex_attribute_divisor)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |

## Vulkan Profile Limits (Properties)

> **NOTE**: The table below only contains properties/limits explicitly defined by the corresponding profile. Further properties/limits may be supported by the profiles in accordance to the requirements defined in the "Limit Requirements" section of the appropriate version of the Vulkan API Specification.

* "valueWithRegularFont" indicates that the limit/property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the limit/property is defined in the profile)
* "_valueWithItalicFont_" indicates that the limit/property is not defined in the profile but an equivalent limit/property is (hover over the symbol to view the structure and corresponding extension or core API version where the limit/property is defined in the profile)
* "-" indicates that neither the limit/property nor an equivalent limit/property is defined in the profile

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|

## Vulkan Profile Queue Families

* "valueWithRegularFont" indicates that the queue family property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the queue family property is defined in the profile)
* "_valueWithItalicFont_" indicates that the queue family property is not defined in the profile but an equivalent queue family property is (hover over the symbol to view the structure and corresponding extension or core API version where the queue family property is defined in the profile)
* "-" indicates that neither the queue family property nor an equivalent queue family property is defined in the profile
* Empty cells next to the properties of a particular queue family definition section indicate that the profile does not have a corresponding queue family definition

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|

## Vulkan Profile Formats

> **NOTE**: The table below only contains formats and properties explicitly defined by the corresponding profile. Further formats and properties may be supported by the profiles in accordance to the requirements defined in the "Required Format Support" section of the appropriate version of the Vulkan API Specification.

* "valueWithRegularFont" indicates that the format property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the format property is defined in the profile)
* "_valueWithItalicFont_" indicates that the format property is not defined in the profile but an equivalent format property is (hover over the symbol to view the structure and corresponding extension or core API version where the format property is defined in the profile)
* "-" indicates that neither the format property nor an equivalent format property is defined in the profile
* Empty cells next to the properties of a particular format definition section indicate that the profile does not have a corresponding format definition

| Profiles | VP_KHR_roadmap_2022 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_desktop_baseline_2022 | VP_LUNARG_desktop_baseline_2023 | VP_LUNARG_desktop_baseline_2024 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|--------------------------|--------------------------|---------------------------------|---------------------------------|---------------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
